%define name bluez-pan
%define version 1.1
%define release 1mdk

Name: %{name}
Summary: Bluetooth personal access network.
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bluez.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libbluez-devel libbluez-sdp-devel

%description
This package includes BNEP loadable module and tools for PAN profile.
 
Roles
--------
The PAN profile defines the following three roles:
PANU (Personal Area Network User)
- Device participating in a IP network over Bluetooth
- Support for all BNEP packet types (Includes all compression methods)
- Support for extension header compression
- Interpretation of 802.1p headers
 
GN (Group Ad-hoc Network)
- Full PANU support
- Enables slave-slave communication by forwarding packets between
  connected PANUs.
 
NAP (Network Access Point)
- Full PANU support
- Full GN support
- Connects the Bluetooth network domain with the wired network.
 
BlueNIC supports all three roles according to the PAN profile v1.0
specification.

%prep
%setup -q

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir $RPM_BUILD_ROOT/%_includedir/bluetooth
mv $RPM_BUILD_ROOT/%_includedir/*.h $RPM_BUILD_ROOT/%_includedir/bluetooth/

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_bindir}/*
%{_includedir}/bluetooth/*.h

%changelog
* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 1.1-1mdk
- 1.1

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 1.1-0.rc1.1mdk
- rc1
- requires sdp headers

* Tue Jan 21 2003 Austin Acton <aacton@yorku.ca> 1.1-0.pre4.1mdk
- initial package
